# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/00_static.ipynb.

# %% auto 0
__all__ = ['HUMAN_TFS', 'MOUSE_TFS', 'VAR_KEY', 'OBS_KEY', 'X_KEY', 'OBSM_KEY']

# %% ../nbs/00_static.ipynb 3
# NOTE: needed for python 3.10 forward compatibility with scanpy as 
# scanpy uses Iterable which is deprecated in 3.10
import collections.abc
#hyper needs the four following aliases to be done manually.
collections.Iterable = collections.abc.Iterable
collections.Mapping = collections.abc.Mapping
collections.MutableSet = collections.abc.MutableSet
collections.MutableMapping = collections.abc.MutableMapping

# %% ../nbs/00_static.ipynb 4
from typing import TypeAlias, Union, Literal

# %% ../nbs/00_static.ipynb 5
from iza.static import (
    NBKS_DIR, ROOT_DIR, EXPL_DIR, DATA_DIR, RESULTS_DIR, FIGURES_DIR,

    GZ, H5, CSV, MTX, TAR, TSV, PY, NPY, NPZ, TXT, JSON, ZIP, IPYNB,

    EXT_GZ, EXT_H5, EXT_CSV, EXT_MTX, EXT_TAR, EXT_TSV,EXT_TAR_GZ,
    EXT_PY, EXT_NPY, EXT_NPZ, EXT_TXT, EXT_JSON, EXT_ZIP, EXT_IPYNB,

    SEED, ITEM, TIME, LABEL, SERIES, SAMPLES, CONDITION, CONDITIONS,

    HVG, PCA, UMAP, TSNE, PHATE, MAGIC,
    CELL, BARCODE, BARCODES,

    ID, MITO, RIBO, GENE, GENE_ID, GENE_IDS, 
    GENE_SYMBOL, HIGHLY_VARIABLE, ENSEMBL, ENSEMBL_ID,
    HUMAN, MOUSE, HUMAN_TF, MOUSE_TF, HUMAN_GENE_SYMBOL, 
    HUMAN_ENSEMBLE_ID, MOUSE_ENSEMBLE_ID, BATCH, TIMEPOINT,
    TOTAL_COUNTS, DOUBLET, DOUBLET_SCORES, PREDICTED_DOUBLETS, 
    PRENORM, DETECTED, SCALED_NORMALIZED,

    COUNTS, PCT, PERCENT, PCT_COUNTS, PCT_COUNTS_MITO, PCT_COUNTS_RIBO,

    _, X, X_,
    X_PRENORM, X_DETECTED, X_SCALED_NORMALIZED, 
    X_MAGIC, X_PCA, X_PCA_HVG, X_PHATE, X_PHATE_HVG,

    ADATA, MATRIX, FEATURES, SENSITIVITY,
)

# %% ../nbs/00_static.ipynb 6
HUMAN_TFS = f'{HUMAN.capitalize()}TFs'
MOUSE_TFS = f'{MOUSE.capitalize()}TFs'

# %% ../nbs/00_static.ipynb 7
VAR_KEY: TypeAlias = Union[
    HVG, PCA, UMAP, TSNE, PHATE, MAGIC,
    CELL, BARCODE, BARCODES,

    ID, MITO, RIBO, GENE, GENE_ID, GENE_IDS, 
    GENE_SYMBOL, HIGHLY_VARIABLE, ENSEMBL_ID,
    HUMAN, MOUSE, HUMAN_TF, MOUSE_TF, HUMAN_GENE_SYMBOL, 
    HUMAN_ENSEMBLE_ID, MOUSE_ENSEMBLE_ID, 
    
    PRENORM, DETECTED, SCALED_NORMALIZED,

    COUNTS, PCT, PERCENT, PCT_COUNTS, PCT_COUNTS_MITO, PCT_COUNTS_RIBO,    
    
    X_MAGIC, X_PCA, X_PCA_HVG, X_PHATE, X_PHATE_HVG,
]

OBS_KEY: TypeAlias = Union[
    BATCH, TIMEPOINT, TOTAL_COUNTS,
    DOUBLET_SCORES, PREDICTED_DOUBLETS
]

X_KEY: TypeAlias = Union[
    X_PRENORM, X_DETECTED,
    X_SCALED_NORMALIZED
]

OBSM_KEY: TypeAlias = Union[
    X_MAGIC, X_PCA, X_PCA_HVG,
    X_PHATE, X_PHATE_HVG
]
